Uploaded image for project: 'EJBCA'
  1. EJBCA
  2. ECA-8626

Update PMD scan pipeline to use warnings-ng plugin syntax

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Cosmetic
    • Resolution: Fixed
    • Affects Version/s: EJBCA 7.1.0
    • Fix Version/s: EJBCA 7.3.1, EJBCA 7.3.0.1
    • Component/s: None
    • Labels:
      None
    • Sprint:
      EJBCA Team Bob - 2019 w42

      Description

      Since ECA-7554 we have a PoC pipeline for code quality check, but the PMD target fails.

      Probably due to the wrong syntax for "Warnings Next Generation Plugin" where should use
      pmdParser instead of pmd.

      Try to fix it.

      See also:

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              johan Johan Eklund
              Reporter:
              johan Johan Eklund
              Verified by:
              Samuel Lidén Borell
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: